package com.yuchen.saas.park.api.entity.pldoor;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.nest.springwrap.core.tenant.mp.TenantEntity;

import java.util.Date;

/**
 * <p>
 * 智慧巡逻机器人大屏信息
 * </p>
 *
 * @author miaoqs
 * @since 2024-08-16
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("pl_sp_robot_screen")
@ApiModel(value="PlSpRobotScreen对象", description="智慧巡逻机器人大屏信息")
public class PlSpRobotScreen extends TenantEntity {

    /**
     * 项目
     */
    @ApiModelProperty(name = "parkId", value = "项目")
    private Long parkId;
    /**
     * 楼栋
     */
    @ApiModelProperty(name = "buildingId", value = "楼栋")
    private Long buildingId;
    /**
     * 单元
     */
    @ApiModelProperty(name = "elementId", value = "单元")
    private Long elementId;
    /**
     * 房号
     */
    @ApiModelProperty(name = "roomNumberId", value = "房号")
    private Long roomNumberId;
    /**
     * 机器人名称
     */
    @ApiModelProperty(name = "robotName", value = "机器人名称")
    private String robotName;
    /**
     * 当前状态
     */
    @ApiModelProperty(name = "robotState", value = "当前状态")
    private String robotState;
    /**
     * 当前电量
     */
    @ApiModelProperty(name = "electricQuantity", value = "当前电量")
    private String electricQuantity;
    /**
     * 任务名称
     */
    @ApiModelProperty(name = "taskName", value = "任务名称")
    private String taskName;
    /**
     * 巡逻路线
     */
    @ApiModelProperty(name = "patrolRoute", value = "巡逻路线")
    private String patrolRoute;
    /**
     * 当前位置
     */
    @ApiModelProperty(name = "currentPosition", value = "当前位置")
    private String currentPosition;
    /**
     * 任务时间
     */
    @ApiModelProperty(name = "taskTime", value = "任务时间")
    private Date taskTime;
    /**
     * 更新时间
     */
    @ApiModelProperty(name = "updateDateTime", value = "更新时间")
    private Date updateDateTime;

    public Long getParkId() {
        return parkId;
    }

    public void setParkId(Long parkId) {
        this.parkId = parkId;
    }

    public Long getBuildingId() {
        return buildingId;
    }

    public void setBuildingId(Long buildingId) {
        this.buildingId = buildingId;
    }

    public Long getElementId() {
        return elementId;
    }

    public void setElementId(Long elementId) {
        this.elementId = elementId;
    }

    public Long getRoomNumberId() {
        return roomNumberId;
    }

    public void setRoomNumberId(Long roomNumberId) {
        this.roomNumberId = roomNumberId;
    }

    public String getRobotName() {
        return robotName;
    }

    public void setRobotName(String robotName) {
        this.robotName = robotName;
    }

    public String getRobotState() {
        return robotState;
    }

    public void setRobotState(String robotState) {
        this.robotState = robotState;
    }

    public String getElectricQuantity() {
        return electricQuantity;
    }

    public void setElectricQuantity(String electricQuantity) {
        this.electricQuantity = electricQuantity;
    }

    public String getTaskName() {
        return taskName;
    }

    public void setTaskName(String taskName) {
        this.taskName = taskName;
    }

    public String getPatrolRoute() {
        return patrolRoute;
    }

    public void setPatrolRoute(String patrolRoute) {
        this.patrolRoute = patrolRoute;
    }

    public String getCurrentPosition() {
        return currentPosition;
    }

    public void setCurrentPosition(String currentPosition) {
        this.currentPosition = currentPosition;
    }

    public Date getTaskTime() {
        return taskTime;
    }

    public void setTaskTime(Date taskTime) {
        this.taskTime = taskTime;
    }

    public Date getUpdateDateTime() {
        return updateDateTime;
    }

    public void setUpdateDateTime(Date updateDateTime) {
        this.updateDateTime = updateDateTime;
    }
}
